## fglrx-driver 8.23.7

=== Makefile ===
# ========================================
#
# (C) 2003 - ATI Research GmbH, Starnberg, GERMANY
#
# ========================================

# file: Makefile
#
# this builds the fireglcontrol panels for the FireGL Linux drivers


# ========================================
# assign defaults for non-set commandline switches
ifndef DEBUG
DEBUG=0
endif

ifndef QT_VER
QT_VER=0
endif

ifndef GCC_VER
GCC_VER=0
endif

ifndef QT_STATIC
QT_STATIC=0
endif


# ========================================
# makefile helpers
colon=;


# ========================================
# resolve target platform
# (on cross compiles this must be a commandline parameter)
PLATFORMTYPE = $(shell uname -m)
ifeq ($(PLATFORMTYPE), ia64) 
LIBQT_STATIC = libqt64.a
LIBQT_DYN = qt
LIB_DIR = lib
else
ifneq ($(findstring $(PLATFORMTYPE), i386 i486 i586 i686), )
LIBQT_STATIC = libqt.a
LIBQT_DYN = qt
LIB_DIR = lib
else
ifeq ($(PLATFORMTYPE), x86_64)
LIBQT_STATIC = libqtx86_64.a
LIBQT_DYN = qt-mt
LIB_DIR = lib64
else
LIBQT_STATIC = libunknownplatform.a
LIBQT_DYN = qtunknown
LIB_DIR = unknowndir
$(error Unknown Platform)
endif
endif
endif


# ========================================
# subdirs

# determine qt lib base directory
ifeq ($(QT_VER),0)
MK_QTDIR = $(QTDIR)
else
ifeq ($(shell test -e /usr/$(LIB_DIR)/qt$(QT_VER)-gcc$(GCC_VER)$(colon) echo $$?),0)
MK_QTDIR = /usr/$(LIB_DIR)/qt$(QT_VER)-gcc$(GCC_VER)
else
ifeq ($(shell test -e /usr/$(LIB_DIR)/qt$(QT_VER)$(colon) echo $$?),0)
MK_QTDIR = /usr/$(LIB_DIR)/qt$(QT_VER)
else
ifeq ($(shell test -e /usr/$(LIB_DIR)/qt$(colon) echo $$?),0)
MK_QTDIR = /usr/$(LIB_DIR)/qt
else
MK_QTDIR = $(QTDIR)
endif
endif
endif
endif

ifeq ($(shell test -e $(MK_QTDIR)$(colon) echo $$?),1)
$(error environment missing: MK_QTDIR=$(MK_QTDIR))
endif

ifeq ($(shell test -e $(MK_QTDIR)/include/qglobal.h$(colon) echo $$?),1)
$(error environment incomplete: MK_QTDIR=$(MK_QTDIR))
endif

ifeq ($(QT_VER),0)
QT_VER=$(shell grep QT_VERSION_STR $(MK_QTDIR)/include/qglobal.h | cut -d'"' -f2 | cut -d'.' -f1)
endif

ifeq ($(QT_VER),0)
$(error environment not found: QT_VER=$(QT_VER))
endif

ifeq ($(QT_VER),)
$(error environment not found: QT_VER=$(QT_VER))
endif


# ========================================
# tools
ifeq ($(GCC_VER), 0)
CC = g++
C  = gcc
GCC_VER=$(shell $(CC) -dumpversion)
else
CC = g++ -V $(GCC_VER)
C  = gcc -V $(GCC_VER)
endif

GCC_MAJ_VER=$(shell echo $(GCC_VER) | cut -d'.' -f1)

MOC = $(MK_QTDIR)/bin/moc
ifneq ($(shell test -e $(MOC)$(colon) echo $$?),0)
$(error environment incomplete - missing: $(MOC))
endif

SHELL =	/bin/sh

ifeq ($(DEBUG),0)
STRIP = strip
else
STRIP = @echo strip is disabled for:
endif


# ========================================
# tools settings
DEFINES = -Dlinux -DFGLRX_USE_XEXTENSIONS -DFGLRX_OGL_INFO -DQT_NO_STL

# for *.c
CINCDIR = -I/usr/X11R6/include -I. -I./include_dummy
CDEFINES = $(DEFINES)
ifeq ($(DEBUG),0)
CDEBFLAGS = -g
endif
CFLAGS = $(CDEBFLAGS) -O2 -fno-strength-reduce -funsigned-char $(CDEFINES)
LFLAGS = $(CDEBFLAGS) -L/usr/X11R6/$(LIB_DIR) -lXaw -lXmu -lXt -lXext -lX11

# for *.cpp
CCINCDIR = -I$(MK_QTDIR)/include -I. -I./include_dummy
CCDEFINES = $(DEFINES)
ifneq ($(DEBUG),0)
CCDEBFLAGS = -ggdb
endif

ifeq ($(QT_STATIC),0)
LIBQT = -l$(LIBQT_DYN)
LIBQT_DEPEND =
else
LIBQT = $(LIBQT_STATIC)
LIBQT_DEPEND = $(LIBQT_STATIC)
endif
LIBS_COMMON = \
    -L$(MK_QTDIR)/$(LIB_DIR) -L/usr/X11R6/$(LIB_DIR) \
    $(LIBQT) -lGLU -lGL -lXmu -lICE -lSM -ldl -lXext -lX11 -lm \
    -lXinerama -lXrender -lfreetype -lXxf86vm \
    -L/usr/X11R6/$(LIB_DIR)

ifeq ($(shell test -e /lib/lib-gcc$(GCC_VER)$(colon) echo $$?),0)
LIBS = \
    -L/lib/lib-gcc$(GCC_VER) -L/lib/lib-gcc$(GCC_VER)/i686 \
    -L/usr/lib/lib-gcc$(GCC_VER) -L/usr/lib \
    $(LIBS_COMMON) \
    -lpng12 -lXft2 -lfontconfig /lib/lib-gcc$(GCC_VER)/i686/libc-2.2.93.so
else
LIBS = \
    $(LIBS_COMMON) -lXft
endif

CCFLAGS =         $(CCDEBFLAGS) -O2 -fno-strength-reduce -funsigned-char -Wall -W $(CCDEFINES)
LLFLAGS =         $(CCDEBFLAGS) $(LIBS)

# reusable path shortcuts
DDX_DIR = ../../Xserver/hw/xfree86/drivers/fglrx

# misc other tools flags
LIBCFLAGS = -fPIC

YACCCFLAGS = -Wno-unused -Wno-parentheses

# ========================================
# status prints for debugging
ifeq (1,0)
$(warning QT_VER=$(QT_VER))
$(warning GCC_VER=$(GCC_VER))
$(warning QT_STATIC=$(QT_STATIC))
$(warning MK_QTDIR=$(MK_QTDIR))
$(error stop here)
endif


# ========================================
# filenames
PACKET_NAME = fglrx_panel_sources

BASENAME =  fireglcontrol

ifeq ($(QT_STATIC),0)
TARGET0	=	$(BASENAME).qt$(QT_VER).gcc$(GCC_VER)
else
TARGET0 =   $(BASENAME).qtstatic.gcc$(GCC_VER)
endif
TARGET1 =	Shutdown
TARGET2 =	Restart

# MOC
TARGET0_H_TEMPLATE =            \
        Sheet.h		            \
        Page.h		            \
        InfoPage.h	            \
        DualScreenPage.h        \
        AdjustPage.h            \
        TVoutAdjustPage.h       \

TARGET0_CC_META =               \
        moc_Sheet.cpp		    \
        moc_Page.cpp		    \
        moc_InfoPage.cpp		\
        moc_DualScreenPage.cpp  \
        moc_AdjustPage.cpp      \
        moc_TVoutAdjustPage.cpp \

TARGET0_OBJ_META =              \
        moc_Sheet.o			    \
        moc_Page.o			    \
        moc_InfoPage.o			\
        moc_DualScreenPage.o    \
        moc_AdjustPage.o        \
        moc_TVoutAdjustPage.o   \

# C
TARGET0_CSOURCES =          \
        FGLRXExtensions.c   \
        ATITVOExtensions.c  \

TARGET0_COBJECTS =          \
        FGLRXExtensions.o   \
        ATITVOExtensions.o  \

TARGET1_CSOURCES =          \
        Shutdown.c          \

TARGET1_COBJECTS =          \
        Shutdown.o          \

TARGET2_CSOURCES =          \
        Restart.c           \

TARGET2_COBJECTS =          \
        Restart.o           \

# CC
TARGET0_CCSOURCES =         \
        main.cpp            \
        Sheet.cpp           \
        Page.cpp            \
        InfoPage.cpp        \
        DualScreenPage.cpp  \
        AdjustPage.cpp	    \
        TVoutAdjustPage.cpp \
        BoardInfo.cpp       \

TARGET0_CCOBJECTS =         \
        main.o              \
        Sheet.o             \
        Page.o              \
        InfoPage.o          \
        DualScreenPage.o    \
        AdjustPage.o        \
        TVoutAdjustPage.o   \
        BoardInfo.o         \

# summary
TARGET0_SOURCES =               \
        $(TARGET0_CSOURCES)     \
        $(TARGET0_CCSOURCES)    \
        $(TARGET0_CC_META)      \

TARGET0_OBJECTS =               \
        $(TARGET0_COBJECTS)     \
        $(TARGET0_CCOBJECTS)    \
        $(TARGET0_OBJ_META)     \

TARGET0_SYMLINKS =              \
        Radeon_extension_tvout.h \
        R200_extensions.h \

TARGET1_SOURCES =               \
        $(TARGET1_CSOURCES)     \
        $(TARGET1_CCSOURCES)    \
        $(TARGET1_CC_META)      \

TARGET1_OBJECTS =               \
        $(TARGET1_COBJECTS)     \
        $(TARGET1_CCOBJECTS)    \
        $(TARGET1_OBJ_META)     \

TARGET2_SOURCES =               \
        $(TARGET2_CSOURCES)     \
        $(TARGET2_CCSOURCES)    \
        $(TARGET2_CC_META)      \

TARGET2_OBJECTS =               \
        $(TARGET2_COBJECTS)     \
        $(TARGET2_CCOBJECTS)    \
        $(TARGET2_OBJ_META)     \


# ========================================
####### Implicit rules

.SUFFIXES: .cpp

.c.o:
	$(C) -c $(CFLAGS) $(CINCDIR) $<

.cpp.o:
	$(CC) -c $(CCFLAGS) $(CCINCDIR) $<


# ========================================
# Explicit rules

moc_%.cpp:	%.h
	$(MOC) $< -o $@

# ========================================
# Build rules

all:: $(TARGET0)
#all:: $(TARGET0) $(TARGET1) $(TARGET2)

$(TARGET0): $(TARGET0_OBJECTS) $(LIBQT_DEPEND) $(TARGET0_SYMLINKS)
	$(CC) $(TARGET0_OBJECTS) $(LIBQT_DEPEND) -o $@ $(LLFLAGS)
	$(STRIP) $@
	bzip2 -c $@ >$@.bz2
	rm -f $(BASENAME)
	ln -s $@ $(BASENAME)


$(TARGET1): $(TARGET1_OBJECTS)
	$(C) $+ -o $@ $(LFLAGS)
	$(STRIP) $@

$(TARGET2): $(TARGET2_OBJECTS)
	$(C) $+ -o $@ $(LFLAGS)
	$(STRIP) $@

# extract the statically linked lib
$(LIBQT_DEPEND): $(LIBQT).bz2
	bzcat $(LIBQT).bz2 >$(LIBQT_DEPEND)

R200_extensions.h:
	ln -s $(DDX_DIR)/R200_extensions.h ./R200_extensions.h

Radeon_extension_tvout.h:
	ln -s $(DDX_DIR)/Radeon_extension_tvout.h ./Radeon_extension_tvout.h

#depend:: $(TARGET0_CSOURCES) $(TARGET0_CCSOURCES) $(TARGET1_CSOURCES) $(TARGET2_CSOURCES)
depend:: $(TARGET0_CSOURCES) $(TARGET0_CCSOURCES) $(TARGET0_SYMLINKS)
	make dep_clean
	makedepend -a $(CINCDIR)  $(CDEFINES)  $(TARGET0_CSOURCES)
	makedepend -a $(CCINCDIR) $(CCDEFINES) $(TARGET0_CCSOURCES)
	@#makedepend -a $(CINCDIR)  $(CDEFINES)  $(TARGET1_CSOURCES)
	@#makedepend -a $(CINCDIR)  $(CDEFINES)  $(TARGET2_CSOURCES)

dep:: depend


dep_clean::
	@sed -n -e '1,/^# DO NOT DELETE THIS LINE/p' Makefile >~Makefile; chmod --reference=Makefile ~Makefile; mv ~Makefile Makefile

depclean:: dep_clean

clean::
	@make dep_clean
	@rm -f *.o *.bak *~ *% #*
	@rm -f $(TARGET0_CC_META) $(BASENAME) $(TARGET0)
	@#rm -f $(TARGET0_CC_META) $(BASENAME) $(TARGET0) $(TARGET1) $(TARGET2)
	@for name in $(TARGET0_SYMLINKS); do \
	  if [ -h $$name ]; then \
	    rm -f $$name; \
	  fi; \
	done

# do _not_ cleanup the packed target package
distclean:: clean
	@#rm -f $(TARGET0).bz2

# do cleanup any packed target package
really_distclean:: distclean
	@rm -f $(BASENAME).*.bz2 $(PACKET_NAME).tgz


install::
	cp $(TARGET0) /usr/X11R6/bin/.
	cd /usr/X11R6/bin/. ; rm -f $(BASENAME) ; ln -s $(TARGET0) $(BASENAME)
	cp LICENSE.GPL /usr/X11R6/bin/.
	cp LICENSE.QPL /usr/X11R6/bin/.
	if  [ $KDEDIR ]; then\
	  cp fireglcontrol.kdelnk $(KDEDIR)/share/applnk/. ;\
	  cp ati.xpm $(KDEDIR)/share/icons/. ;\
	fi
	if test -d /usr/share/gnome/apps; then \
	  cp fireglcontrol.desktop /usr/share/gnome/apps/. ;\
	  if test -d /usr/share/pixmaps; then \
	    cp ati.xpm /usr/share/pixmaps/. ;\
	  fi ;\
	fi

source_package::
	@if [ -f $(PACKET_NAME).tar ]; then      \
	  rm -f $(PACKET_NAME).tar ;            \
	fi
	@if [ -f $(PACKET_NAME).tar.gz ]; then   \
	  rm -f $(PACKET_NAME).tar.gz ;         \
	fi
	@if [ -f $(PACKET_NAME).tgz ]; then      \
	  rm -f $(PACKET_NAME).tgz ;            \
	fi
	@make dep
	@echo -n "" >dependencies.txt
	@for name in `cat Makefile | sed -n -e '/^# DO NOT DELETE THIS LINE/,$$s@.*\(\: \)\(.*\)@\2@p'`; do \
	  echo $$name >>dependencies.txt; \
	done
	@sort dependencies.txt >dependencies_sort.txt
	@echo -n "" >dependencies_stripped.txt
	@last_name=""; \
	for name in `cat dependencies_sort.txt`; do \
	  if [ "$$name" != "$$last_name" ]; then \
	    echo $$name >>dependencies_stripped.txt; \
	    last_name=$$name; \
	  fi; \
	done
	@cat dependencies_stripped.txt | sed -n -e 's@\(^[^/].*\)@\1@p' >dependencies_local.txt
	@make dep_clean
	@chmod a-x *.c *.cpp *.h *.xpm LICENSE.*
	tar  -r -v -h -f $(PACKET_NAME).tar Makefile $(TARGET0_CSOURCES) $(TARGET0_CCSOURCES) `cat dependencies_local.txt` LICENSE.GPL LICENSE.QPL
	@#tar  -r -v -h -f $(PACKET_NAME).tar Makefile $(TARGET0_CSOURCES) $(TARGET0_CCSOURCES) $(TARGET1_CSOURCES) $(TARGET2_CSOURCES) `cat dependencies_local.txt` LICENSE.GPL LICENSE.QPL
	gzip --best $(PACKET_NAME).tar
	mv $(PACKET_NAME).tar.gz $(PACKET_NAME).tgz
	chmod a-wx $(PACKET_NAME).tgz
		

# ========================================
# DO NOT DELETE THIS LINE -- `make depend` depends on it.

=== common/lib/modules/fglrx/build_mod/2.6.x/Makefile ===
GCC_VER_MAJ      = $(shell $(CC) --version | head -n 1 | sed -e 's/[^0-9. ]//g;s/^ *//;s/^\(.\)\..*$$/\1/')

obj-m           += fglrx.o
fglrx-libs      += libfglrx_ip.a.GCC$(GCC_VER_MAJ)
fglrx-c-objs    += agp3.o nvidia-agp.o agpgart_be.o i7505-agp.o firegl_public.o
fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)
fglrx-hdrs      += agp_backend.h agp.h firegl_public.h
drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h

ifeq ($(PAGE_ATTR_FIX),)
PAGE_ATTR_FIX   =1
endif

EXTRA_CFLAGS    += \
                -I$(PWD) \
                -D__AGP__ \
                -DFGL \
                -DFGL_LINUX \
                -DFGL_GART_RESERVED_SLOT \
                -DFGL_LINUX253P1_VMA_API \
                -DPAGE_ATTR_FIX=$(PAGE_ATTR_FIX) \

ifeq ($(KERNELRELEASE),)
# on first call from remote location we get into this path
# whilst on second call all is managed by the embedding kernel makefile

KVER            = $(shell uname -r)
# KVER            = 2.6.0-0.test1.1.26custom

ifeq (1,1)
KDIR            = /lib/modules/$(KVER)/build
else
KDIR            = /usr/src/linux-$(KVER)
endif
PWD             = $(shell pwd)

fglrx-cfiles    = ${fglrx-c-objs:.o=.c}

# default:: kmod_build

kmod_build:: $(fglrx-libs) $(fglrx-cfiles) $(fglrx-hdrs) $(drm-hdrs)
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

%.c:
	@ln -s ../$@

%.h:
	@ln -s ../$@

%.GCC$(GCC_VER_MAJ):
	@ln -s ../$@

# distclean:: clean

clean::
	rm -f *.c *.h *.o *.ko *.GCC* .??*

endif

# ### EOF ###

=== common/lib/modules/fglrx/build_mod/firegl_agpgart/Makefile ===
obj-m += fglrx_agp.o 
fglrx_agp-objs := backend.o generic.o isoch.o intel-agp.o ali-agp.o firegl_wrap.o firegl_agp.o
fglrx_agp-hdrs := agp.h firegl_agp.h firegl_wrap.h firegl_wrapper.h


KVER            = $(shell uname -r)
ifeq (1,1)
KDIR            = /lib/modules/$(KVER)/build
else
KDIR            = /usr/src/linux-$(KVER)
endif

PWD := $(shell pwd)

EXTRA_CFLAGS    += \
                -I$(PWD) \
                -D__AGP__ \
                -DFGL \
                -DFGL_LINUX \
                -DFGL_GART_RESERVED_SLOT \
                -DFGL_LINUX253P1_VMA_API \
                -DPAGE_ATTR_FIX=$(PAGE_ATTR_FIX) \

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean::
	rm -f *.o *.ko *.GCC* .??*

## fglrx-driver 8.47.3

=== common/lib/modules/fglrx/build_mod/2.6.x/Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 GCC_VER_MAJ      = $(shell $(CC) --version | head -n 1 | sed -e 's/[^0-9. ]//g;s/^ *//;s/^\(.\)\..*$$/\1/')
+
+LIBIP_PREFIX	?= ..
 
 obj-m           += fglrx.o
 fglrx-libs      += libfglrx_ip.a.GCC$(GCC_VER_MAJ)
-fglrx-c-objs    += agp3.o nvidia-agp.o agpgart_be.o i7505-agp.o firegl_public.o
+fglrx-c-objs    += firegl_public.o
 fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)
-fglrx-hdrs      += agp_backend.h agp.h firegl_public.h
+fglrx-hdrs      += firegl_public.h fglrxko_pci_ids.h
 drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h
 
 ifeq ($(PAGE_ATTR_FIX),)
@@ -13,7 +15,6 @@
 
 EXTRA_CFLAGS    += \
                 -I$(PWD) \
-                -D__AGP__ \
                 -DFGL \
                 -DFGL_LINUX \
                 -DFGL_GART_RESERVED_SLOT \
@@ -48,7 +49,7 @@
 	@ln -s ../$@
 
 %.GCC$(GCC_VER_MAJ):
-	@ln -s ../$@
+	@ln -s $(LIBIP_PREFIX)/$@
 
 # distclean:: clean

## fglrx-driver 10

=== common/lib/modules/fglrx/build_mod/2.6.x/Makefile ===
# Copyright (c) 2008 Advanced Micro Devices. All Rights Reserved.
# 
# Redistribution and  use  in  source  and  binary  forms,  with  or  without
# modification, are permitted provided that the following conditions are met:
# 
# 1. Redistributions of source code must retain the above  copyright  notice,
# this list of conditions and the following disclaimer.
# 
# 2. Redistributions in  binary  form  must  reproduce  the  above  copyright
# notice, this list  of  conditions  and  the  following  disclaimer  in  the
# documentation and/or other materials provided with the distribution.
# 
# 3. The name of the author may not be used to endorse  or  promote  products
# derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR  IMPLIED
# WARRANTIES, INCLUDING, BUT  NOT  LIMITED  TO,  THE  IMPLIED  WARRANTIES  OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN  NO
# EVENT SHALL THE AUTHOR BE LIABLE  FOR  ANY  DIRECT,  INDIRECT,  INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT  LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;  LOSS  OF  USE,  DATA,  OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED  AND  ON  ANY  THEORY  OF
# LIABILITY, WHETHER  IN  CONTRACT,  STRICT  LIABILITY,  OR  TORT  (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING  IN  ANY  WAY  OUT  OF  THE  USE  OF  THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

GCC_VER_MAJ      = $(shell $(CC) --version | head -n 1 | sed -e 's/[^0-9. ]//g;s/^ *//;s/^\(.\)\..*$$/\1/')

LIBIP_PREFIX	?= ..

obj-m           += fglrx.o
fglrx-libs      += libfglrx_ip.a.GCC$(GCC_VER_MAJ)

fglrx-c-objs    += firegl_public.o      \
                   kcl_acpi.o           \
                   kcl_agp.o            \
                   kcl_debug.o          \
                   kcl_ioctl.o          \
                   kcl_io.o             \
                   kcl_pci.o            \
                   kcl_str.o            \
                   kcl_wait.o

fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)

fglrx-hdrs      += firegl_public.h      \
                   fglrxko_pci_ids.h    \
                   kcl_acpi.h           \
                   kcl_agp.h            \
                   kcl_config.h         \
                   kcl_debug.h          \
                   kcl_io.h             \
                   kcl_ioctl.h          \
                   kcl_osconfig.h       \
                   kcl_pci.h            \
                   kcl_str.h            \
                   kcl_type.h           \
                   kcl_wait.h
                   
drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h

EXTRA_CFLAGS    += \
                -I$(PWD) \
                -DFGL \
                -DFGL_LINUX \
                -DFGL_GART_RESERVED_SLOT \
                -DFGL_LINUX253P1_VMA_API \
                -DPAGE_ATTR_FIX=$(PAGE_ATTR_FIX) \

ifeq ($(KERNELRELEASE),)
# on first call from remote location we get into this path
# whilst on second call all is managed by the embedding kernel makefile

ifeq ($(KVER),)
	KVER        = $(shell uname -r)
endif

KDIR            = /lib/modules/$(KVER)/build
PWD             = $(shell pwd)

fglrx-cfiles    = ${fglrx-c-objs:.o=.c}

# default:: kmod_build

kmod_build:: $(fglrx-libs) $(fglrx-cfiles) $(fglrx-hdrs) $(drm-hdrs)
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

%.c:
	@ln -s ../$@

%.h:
	@ln -s ../$@

%.GCC$(GCC_VER_MAJ):
	@ln -s $(LIBIP_PREFIX)/$@

# distclean:: clean

clean::
	rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers

endif

# ### EOF ###

## fglrx-driver 10-9

=== debian/changelog ===
fglrx-driver (1:10-9-3squeeze1) stable; urgency=low

  * Fix upgrades from lenny:  (Closes: #696155)
  * fglrx-glx{,-ia32}.preinst: Create diversions on upgrades, too.
  * fglrx-driver.preinst: Move removal of old libdri.so diversion to postinst.
    The fglrx-driver package in lenny shipped the diverted file, so on
    upgrades from lenny this still exists at the time the preinst is run.
  * fglrx-glx-ia32.postinst: Remove obsolete diversions in /emul/ia32-linux
    created by the packages in lenny.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Feb 2013 19:16:33 +0100

fglrx-driver (1:10-9-3) unstable; urgency=high

  * Avoid attempting to build dkms modules for virtual linux-image packages
    (closes: #597792).
  * Use a kernel headers path that's also available to locally built kernels
    (closes: #597783).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 22 Sep 2010 22:58:52 -0400

fglrx-driver (1:10-9-2) unstable; urgency=high

  * Use arch_compat_alloc_user_space in place of the now unavailable
    comat_alloc_user_space function in newer kernels (closes: #597478).
    - Thanks to Ubuntu (Evan Broder) for the inspiration for a more robust fix.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 19 Sep 2010 22:53:35 -0400

fglrx-driver (1:10-9-1) unstable; urgency=low

  * New upstream release.
    - Most DDX bugs are fixed now. If you still get some screen regressions,
      please report a new bug.
      Closes: #587824

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Sep 2010 18:00:05 +0200

fglrx-driver (1:10-8-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #594606
    - Now the textures in supertuxkart are realy rendered correctly.
      Closes: #586797
  * Start atieventsd before $x-display-manager.
    Closes: #593703
  * Depend on virtual package xorg-video-abi-6.0 and provide xorg-driver-video.
    Closes: #585433

  [ Michael Gilbert ]
  * Build modules for all installed kernel packages rather than only for the
    currently active/running kernel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Aug 2010 09:05:52 +0200

fglrx-driver (1:10-7-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Use fglrx module makefile instead of its make.sh script (this has the
    added bonus of making dkms autoupdate for all installed kernels; thus
    making module rebuilds for ABI bumps automatic).
    Closes: #588447
  * Fix typo in atiode manpage.
    Closes: #586808

  [ Patrick Matthäi ]
  * New upstream release.
    - Remove patch 06-build-with-2.6.34.diff, merged by upstream.
    - This release should fix the texture rendering problem with supertuxkart.
      Closes: #586797
    - xserver crashes without a defined BusID should be gone now.
      Closes: #587708
  * Remove Bertrand Marc from uploaders. Thanks for your previous work!
  * Reference to the radeon driver, instead of the deprecated radeonhd one.
  * Bump Standards-Version to 3.9.1.
    - Move some conflicts to breaks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Jul 2010 21:19:32 +0200

fglrx-driver (1:10-6-1) unstable; urgency=low

  * New upstream release.
    - Refresh 01-CONFIG_X86_XEN.diff.
    - Drop patch 05_fix_cmpxchg.diff, merged by upstream.
  * Add danish translation from Joe Dalton.
    Closes: #584290

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Jun 2010 10:55:06 +0200

fglrx-driver (1:10-5-1) unstable; urgency=low

  * New upstream release.
    - Drop patch 02-add-new-cards.diff, merged by upstream.
  * s/approriate/appropriate/ in fglrx-modules-dkms long description.
    Closes: #582662

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 May 2010 12:51:48 +0200

fglrx-driver (1:10-4-2) unstable; urgency=low

  * The fglrx-driver package conflicts against the nvidia-glx package.
    Closes: #581776
  * Fix a few typos in the long descriptions.
    Closes: #581954
  * Update to the new fglrx 10-4 release. AMD silently updated the original
    tarball. This patch adds support for new cards.
  * Speed up package building by adding --ignore options in debian/rules.
  * Add patch 06-build-with-2.6.34.diff to build against Linux 2.6.34.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 May 2010 21:48:55 +0200

fglrx-driver (1:10-4-1) unstable; urgency=low

  * New upstream release.
    - And again the paths have been changed, thanks Ubuntu..
  * Add spanish translation from Ricardo Fraile.
    Closes: #579516

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Apr 2010 19:09:04 +0200

fglrx-driver (1:10-4~prerelease-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Use a better reference for known supported hardware in the fglrx manpage.

  [ Patrick Matthäi ]
  * New upstream pre-release.
    - Segfaulting of the driver is now fixed.
      Closes: #576575
    - The compositing problems with KDE should be fixed now, too.
      Closes: #571036
    - Rediff all patches, because of changed paths in the tarball.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Apr 2010 18:03:49 +0200

fglrx-driver (1:10-3~prerelease-3) unstable; urgency=low

  * Please note: This release is in real the 10-4 pre-release.
  * Refresh 05_fix_cmpxchg.diff, so that fglrx now realy builds with Linux
    2.6.33.
    Closes: #571272

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 19:27:54 +0100

fglrx-driver (1:10-3~prerelease-2) unstable; urgency=low

  * Add workaround, so that the i386 package, does not depend on a amd64
    only package.
    Closes: #574973
  * Fix supported hardwares of fglrx in the documentations.
    Closes: #574916

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Mar 2010 18:14:54 +0100

fglrx-driver (1:10-3~prerelease-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream pre-release.
    - Upstream 8.721 pre-release tarball copied directly from Ubuntu, thanks!
    - Now supports xorg 7.5!
      Closes: #564444
  * Remove fglrxrc manpage since there is no fglrxrc binary anymore.


=== debian/control ===
Source: fglrx-driver
Section: non-free/x11
Priority: extra
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Michael Gilbert <michael.s.gilbert@gmail.com>
Build-Depends: debhelper (>= 7), quilt, bzip2, ia32-libs [amd64], libx11-6, libxext6,
 libgl1-mesa-glx, libxrandr2, libice6, libsm6, libfontconfig1, libxi6, libxcursor1,
 xsltproc, rpl, docbook-xml (>= 4.4), docbook-xsl (>= 1.70.1), libxinerama-dev,
 libqt4-dev, chrpath, autogen, automake
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-fglrx/fglrx-driver/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fglrx/fglrx-driver/trunk
XS-Autobuild: yes
Homepage: http://ati.amd.com/support/drivers/linux/linux-radeon.html

Package: fglrx-driver
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, xserver-xorg (>= 1:7.5+1),
 laptop-detect, xorg-video-abi-6.0
Recommends: fglrx-modules-dkms (= ${binary:Version}) | fglrx-source (= ${binary:Version}),
 fglrx-glx, fglrx-glx-ia32 [amd64], fglrx-atieventsd
Provides: xorg-driver-video
Conflicts: ia32-fglrx-driver, nvidia-glx
Suggests: fglrx-control
Description: non-free AMD/ATI r6xx - r7xx display driver
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL
 for X.Org version 7.1. For 3D acceleration to work, you will need to
 compile the fglrx kernel module for your kernel: see the fglrx-source
 package. Note that the driver will work without the kernel module, but 3D
 acceleration will be disabled.
 .
 The driver can work with plain mesa libGL, but some applications may require
 the proprietary libGL. This library is shipped in the fglrx-glx package.
 .
 This driver is not free. As an alternative, you may try the newest free
 driver xserver-xorg-video-radeon.
 .
 This driver will replace parts of your X11 and Mesa system.

Package: fglrx-glx
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fglrx-driver (= ${binary:Version})
Conflicts: nvidia-glx
Description: proprietary libGL for the non-free AMD/ATI r6xx - r7xx display driver
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 This package provides the proprietary libGL shipped by ATI.
 .
 This driver is not free. As an alternative, you may try the newest free
 driver xserver-xorg-video-radeon.

Package: fglrx-glx-ia32
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fglrx-driver (= ${binary:Version})
Pre-Depends: libc6-i386 (>= 2.9-18)
Conflicts: nvidia-glx-ia32, ia32-fglrx-glx
Description: proprietary libGL for the non-free AMD/ATI display driver (ia32 libs)
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 This package provides the proprietary 32 bit libGL shipped by ATI for
 emulated userspace on amd64.
 .
 This driver is not free. As an alternative, you may try the newest free
 driver xserver-xorg-video-radeon.

Package: fglrx-source
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}, debhelper (>= 5), make, bzip2
Recommends: module-assistant | kernel-package
Suggests: fglrx-driver
Replaces: fglrx-kernel-src (<< 1:8-4-2)
Breaks: fglrx-kernel-src (<< 1:8-4-2)
Description: kernel module source for the non-free AMD/ATI r6xx - r7xx display driver
 This package provides the kernel build environment and the fglrx modules,
 which are necessary to have accelerated 3D support within the AMD/ATI
 proprietary display driver.

Package: fglrx-modules-dkms
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}, dkms
Suggests: fglrx-driver
Description: dkms module source for the non-free AMD/ATI r6xx - r7xx display driver
 This package provides the kernel build environment and the fglrx modules,
 which are necessary to have accelerated 3D support within the AMD/ATI
 proprietary display driver.
 .
 This package contains the source for the fglrx kernel module, packaged with
 appropriate configuration for DKMS to build new modules dynamically.

Package: fglrx-control
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fglrx-driver
Provides: fglrx-control-qt3
Replaces: fglrx-control-qt3, fglrx-amdcccle
Conflicts: fglrx-control-qt3, fglrx-control-qt2
Description: control panel for the non-free AMD/ATI r5xx, r6xx, r7xx display driver
 Control panel for the ATI recent Radeon and FireGL graphics cards.
 .
 The control panel shows detailed information on your display adapter
 and allows you to set dual screen options, adjust gamma correction
 and set TV out options.

Package: fglrx-atieventsd
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, xserver-xorg (>= 1:7.4+1), lsb-base
Recommends: fglrx-driver (= ${binary:Version}), acpid
Replaces: fglrx-driver (<< 1:8-4-2)
Breaks: fglrx-driver (<< 1:8-4-2)
Description: external events daemon for the non-free AMD/ATI r6xx - r7xx display driver
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 The ATI External Events Daemon atieventsd is a user-level application
 that monitors various system events such as ACPI or hotplug, then
 notifies the driver via the X extensions interface that the event has
 occured.
 .
 This package provides the atieventsd daemon.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2002-2006 Flavio Stanchina
# Licensed under the GNU General Public License, version 2.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(DEB_BUILD_ARCH))
	DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -d' ' -f2|cut -d':' -f2)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)

KSRCDIR  := usr/src/modules/fglrx
DKMSBASE	:= usr/src/fglrx-VERSION
DKMSSRCDIR := usr/src/fglrx-$(UPSTREAM_VERSION)

ifeq ($(DEB_BUILD_ARCH),amd64)
ARCH := arch/x86_64
XDIR := x750_64a
LIB  := lib64
else
ARCH := arch/x86
XDIR := x750
LIB  := lib
endif

# Package names
PKG_driver      := fglrx-driver
PKG_glx         := fglrx-glx
PKG_glx_ia32    := fglrx-glx-ia32
PKG_source		:= fglrx-source
PKG_control     := fglrx-control
PKG_daemon      := fglrx-atieventsd
PKG_dkms		:= fglrx-modules-dkms

ifneq (,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
	NEW_UPSTREAM_VERSION := $(subst VER=,,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
	INSTALLER := ati-driver-installer-$(NEW_UPSTREAM_VERSION)-x86.x86_64.run
	URL_PATH := www2.ati.com/drivers/linux
	CACHEDIR := /tmp
endif

build: debian/man/Makefile
	dh_testdir
	# Build man pages.
	$(MAKE) -C debian/man

debian/man/Makefile: debian/man/configure
	(cd debian/man && \
	chmod +x configure install-sh missing && \
	LICENSE_FILE=/usr/share/doc/$(PKG_driver)/copyright \
	./configure --prefix=/usr --mandir=/usr/share/man --with-xserver=Xorg)

debian/man/configure:
	(cd debian/man && \
	chmod +x autogen.sh && \
	./autogen.sh --copy)

clean:
	dh_testdir
	dh_clean
	rm -rf extra_src
	# Clean manpages.
	[ ! -f debian/man/Makefile ] || $(MAKE) -C debian/man maintainer-clean

distclean: clean

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(ARCH)/usr/X11R6/bin/fgl*" "usr/bin"
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(ARCH)/usr/X11R6/bin/ati*" "usr/bin"
	dh_install --ignore=debian/$(PKG_daemon).install -p$(PKG_daemon)  "$(ARCH)/usr/sbin/ati*" "usr/sbin"
	dh_install --ignore=debian/$(PKG_glx).install -p$(PKG_glx)     "$(ARCH)/usr/X11R6/$(LIB)/libGL*" "usr/lib"
ifeq ($(DEB_BUILD_ARCH),amd64)
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)	"$(ARCH)/usr/lib64/*" "usr/lib"
else
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(ARCH)/usr/lib/*" "usr/lib"
endif
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(ARCH)/usr/X11R6/$(LIB)/libfglrx*" "usr/lib"
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(ARCH)/usr/X11R6/$(LIB)/libati*" "usr/lib"
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(ARCH)/usr/X11R6/$(LIB)/modules/dri/*" "usr/lib/dri"
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)	"$(ARCH)/usr/X11R6/$(LIB)/lib*XvB*" "usr/lib"
	dh_install --ignore=debian/$(PKG_driver).install -p$(PKG_driver)  "$(XDIR)/usr/X11R6/$(LIB)/modules/*" "usr/lib/xorg/modules"
	dh_install --ignore=debian/$(PKG_source).install -p$(PKG_source)  "$(ARCH)/lib/modules/fglrx/build_mod/lib*" "$(KSRCDIR)"
	dh_install --ignore=debian/$(PKG_dkms).install -p$(PKG_dkms)	"$(ARCH)/lib/modules/fglrx/build_mod/lib*" "$(DKMSBASE)"
	dh_install --ignore=debian/$(PKG_control).install -p$(PKG_control) "$(ARCH)/usr/X11R6/bin/amdcccle" "usr/bin"
ifeq ($(DEB_BUILD_ARCH),amd64)
    # Replace library paths -- careful, these are binary files!
    # The new string must have same length as the old one..
	rpl -v -e '/usr/X11R6/lib64/modules/dri\0' \
	          '/usr/lib/dri\0!!!!!!!!!!!!!!!!' \
	          debian/$(PKG_glx)/usr/lib/libGL.so.1.2
	rpl -v -e '/usr/X11R6/lib/modules/dri\0' \
	          '/usr/lib32/dri\0!!!!!!!!!!!!' \
	          debian/$(PKG_glx_ia32)/usr/lib32/libGL.so.1.2
else
	rpl -v -e '/usr/X11R6/lib/modules/dri\0' \
	          '/usr/lib/dri\0!!!!!!!!!!!!!!' \
	          debian/$(PKG_glx)/usr/lib/libGL.so.1.2
endif
	# Generate dkms.conf.
	cat debian/dkms/dkms.conf.template|sed "s/_VERSION_/$(UPSTREAM_VERSION)/g" \
		> debian/$(PKG_dkms)/$(DKMSBASE)/dkms.conf
	# Rename the DKMSBASE to DKMSSRCDIR and fix permissions.
	mv debian/$(PKG_dkms)/$(DKMSBASE) debian/$(PKG_dkms)/$(DKMSSRCDIR)
	chmod -x debian/$(PKG_dkms)/$(DKMSSRCDIR)/*
	chmod 0755 debian/$(PKG_dkms)/$(DKMSSRCDIR)/make.sh
	# Create symlinks to shared libs; fixes a lintian error.
	/sbin/ldconfig -n debian/$(PKG_glx)/usr/lib
	/sbin/ldconfig -n debian/$(PKG_glx_ia32)/usr/lib32
	/sbin/ldconfig -n debian/$(PKG_driver)/usr/lib
	chmod -x debian/$(PKG_driver)/etc/ati/*
	chmod +x debian/$(PKG_daemon)/etc/ati/authatieventsd.sh
	chmod +x debian/$(PKG_driver)/etc/acpi/*.sh
	chmod +x debian/$(PKG_source)/$(KSRCDIR)/debian/rules
	chmod +x debian/$(PKG_source)/$(KSRCDIR)/make.sh
	chmod -x debian/$(PKG_control)/usr/share/icons/*
	# Remove this ugly RPATH..
	chrpath -d -k debian/$(PKG_control)/usr/bin/amdcccle
	# Create the fglrx source tarball.
	(cd debian/$(PKG_source)/usr/src \
	 && chown -R root:src modules \
	 && tar -c modules | bzip2 > fglrx.tar.bz2 \
	 && rm -rf modules)
	dh_installinit
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_installdebconf
	dh_link
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
ifeq ($(DEB_BUILD_ARCH),amd64)
	dh_makeshlibs -XlibGL
else
	dh_makeshlibs -XlibGL -Xfglrx-glx-ia32
endif
	dh_installdeb
	dh_shlibdeps
	dh_md5sums
	dh_gencontrol -p$(PKG_driver)
	dh_gencontrol -p$(PKG_control)
	dh_gencontrol -p$(PKG_glx)
	dh_gencontrol -p$(PKG_source)
	dh_gencontrol -p$(PKG_daemon)
	dh_gencontrol -p$(PKG_dkms)
ifeq ($(DEB_BUILD_ARCH),amd64)
	dh_gencontrol -p$(PKG_glx_ia32)
	dh_builddeb -p$(PKG_glx_ia32)
endif
	dh_builddeb -p$(PKG_driver)
	dh_builddeb -p$(PKG_control)
	dh_builddeb -p$(PKG_glx)
	dh_builddeb -p$(PKG_source)
	dh_builddeb -p$(PKG_daemon)
	dh_builddeb -p$(PKG_dkms)

binary-indep: build

get-orig-source-checks:
	# This target needs DEB_BUILD_OPTIONS to contain the version specification
	# in the following form: VER=some.version.number
	(if [ -z "$(NEW_UPSTREAM_VERSION)" ] ; \
	 then \
	  echo "Version not defined" ; \
	  exit 1 ; \
	 fi)
	# If dpkg-parsechangelog fails, we're not running
	# the command from the proper place,
	(if [ -z "$(UPSTREAM_VERSION)" ] ; \
	 then \
	  echo "Run this command from the root of the $(PKG_driver) package" ; \
	  exit 1 ; \
	 fi)

$(INSTALLER):
	# Make sure the .run package is in the proper place,
	# but first try to look in the "cache".
	# For some reason wget refuses to clobber and restarts everytime.
	# wget $(URL_PATH)/$(INSTALLER) -c -O $(CACHEDIR)/$(INSTALLER)
	[ -f $(CACHEDIR)/$(INSTALLER) ] || wget $(URL_PATH)/$(INSTALLER) -c -O $(CACHEDIR)/$(INSTALLER)
	cp $(CACHEDIR)/$(INSTALLER) .

get-orig-source: ../$(PKG_driver)_$(NEW_UPSTREAM_VERSION).orig.tar.bz2

../$(PKG_driver)_$(NEW_UPSTREAM_VERSION).orig.tar.bz2: get-orig-source-checks $(INSTALLER)
	(mkdir $(PKG_driver)-$(NEW_UPSTREAM_VERSION) \
	 && cd $(PKG_driver)-$(NEW_UPSTREAM_VERSION) \
	 && /bin/sh ../$(INSTALLER) --extract . \
	 && rm -f README.distro *.sh \
	 && rm -rf packages setup.data x4* \
	 && rm -rf x6* \
	 && rm -f arch/*/lib/modules/fglrx/fglrx.*.o)
	# Create the tarball.
	(tar -cjf $(PKG_driver)_$(NEW_UPSTREAM_VERSION).orig.tar.bz2 \
	 $(PKG_driver)-$(NEW_UPSTREAM_VERSION) && mv \
	 $(PKG_driver)_$(NEW_UPSTREAM_VERSION).orig.tar.bz2 ../)
	# Cleanup.
	rm -fr $(PKG_driver)-$(NEW_UPSTREAM_VERSION) && \
	rm $(INSTALLER)

.PHONY: binary binary-arch binary-indep build clean distclean get-orig-source get-orig-source-checks

=== debian/watch ===
version=3
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.36&lang=English .*/linux/ati-driver-installer-(.*)-x86.x86_64.run
